diff --git a/tests/language/data-io/get-data-txt.at b/tests/language/data-io/get-data-txt.at
index 9e01aae..94f8e5c 100644
--- a/tests/language/data-io/get-data-txt.at
+++ b/tests/language/data-io/get-data-txt.at
@@ -16,7 +16,7 @@ end data.
 
 list.
 ])
-AT_CHECK([pspp -o pspp.csv get-data.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv get-data.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 A,B,C,D
@@ -50,7 +50,7 @@ begin data.
 end data.
 list.
 ])
-AT_CHECK([pspp -o pspp.csv get-data.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv get-data.sps], [0], [ignore])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 A,B,C,D
@@ -90,7 +90,7 @@ begin data.
 end data.
 list.
 ])
-AT_CHECK([pspp -o pspp.csv get-data.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv get-data.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 A,B,C,D
@@ -132,7 +132,7 @@ begin data.
 end data.
 list.
 ])
-AT_CHECK([pspp -o pspp.csv get-data.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv get-data.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 start,end,count
@@ -161,7 +161,7 @@ begin data.
 end data.
 list.
 ])
-AT_CHECK([pspp -o pspp.csv get-data.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv get-data.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 x,y
@@ -193,7 +193,7 @@ GET DATA /TYPE=TXT /FILE='passwd.data' /DELIMITERS=':'
                    shell A40.
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv passwd.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv passwd.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 username,password,uid,gid,gecos,home,shell
@@ -233,7 +233,7 @@ GET DATA /TYPE=TXT /FILE='cars.data' /ARRANGEMENT=FIXED /FIRSTCASE=2
                    age 40-47 F.
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv cars.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv cars.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 model,year,mileage,price,type,age
@@ -274,7 +274,7 @@ GET DATA /TYPE=TXT /FILE='pets.data' /DELIMITERS=', ' /QUALIFIER='''"'
                    type a10.
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv pets.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv pets.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 name,age,color,received,price,height,type
@@ -300,7 +300,7 @@ get data /type=txt /file='test.data' /importcase=percent 35 /variables x f8.0.
 get data /type=txt /file='test.data' /importcase=percent 95 /variables x f8.0.
 get data /type=txt /file='test.data' /importcase=percent 100 /variables x f8.0.
 ])
-AT_CHECK([pspp -O format=csv get-data.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv get-data.sps], [0], [dnl
 get-data.sps:1: warning: GET DATA: Ignoring obsolete IMPORTCASES subcommand.  (N OF CASES or SAMPLE may be used to substitute.)
 
 get-data.sps:2: warning: GET DATA: Ignoring obsolete IMPORTCASES subcommand.  (N OF CASES or SAMPLE may be used to substitute.)
@@ -322,7 +322,7 @@ get data /type=txt /file='data.txt' /encoding='iso-8859-1'
 list.
 ])
 printf '\351' > data.txt	# é in ISO-8859-1.
-AT_CHECK([pspp -o pspp.csv get-data.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv get-data.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 s
diff --git a/tests/language/data-io/get.at b/tests/language/data-io/get.at
index 9f49b57..9f1e274 100644
--- a/tests/language/data-io/get.at
+++ b/tests/language/data-io/get.at
@@ -26,7 +26,7 @@ LIST.
 * But this one get rubbish
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv get.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv get.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 LOCATION,EDITOR,SHELL,FREQ
@@ -76,7 +76,7 @@ SAVE OUTFILE='test.sav'/$1.
 GET FILE='test.sav'/KEEP=x y z all.
 LIST.
 ])
-   AT_CHECK([pspp -o pspp.csv get.sps])
+   AT_CHECK([$RUNNER $PSPP -o pspp.csv get.sps])
    AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
@@ -97,6 +97,6 @@ AT_DATA([get.sps], [dnl
 get data /file='anything'.
 ])
 
-AT_CHECK([pspp get.sps], [1], [ignore])
+AT_CHECK([$RUNNER $PSPP get.sps], [1], [ignore])
 
 AT_CLEANUP
diff --git a/tests/language/data-io/inpt-pgm.at b/tests/language/data-io/inpt-pgm.at
index f549885..5075571 100644
--- a/tests/language/data-io/inpt-pgm.at
+++ b/tests/language/data-io/inpt-pgm.at
@@ -11,7 +11,7 @@ BEGIN DATA
 END DATA.
 END INPUT PROGRAM.
 ])
-AT_CHECK([pspp -O format=csv input-program.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv input-program.sps], [1], [dnl
 input-program.sps:3: error: BEGIN DATA: BEGIN DATA is not allowed inside INPUT PROGRAM.
 ])
 AT_CLEANUP
@@ -27,7 +27,7 @@ END INPUT PROGRAM.
 
 DESCRIPTIVES x.
 ])
-AT_CHECK([pspp -O format=csv input-program.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv input-program.sps], [1], [dnl
 error: DESCRIPTIVES: Syntax error at end of input: expecting BEGIN.
 ])
 AT_CLEANUP
@@ -40,7 +40,7 @@ STRING firstname lastname (a24) / address (a80).
 END INPUT PROGRAM.
 EXECUTE.
 ])
-AT_CHECK([pspp -O format=csv input-program.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv input-program.sps], [1], [dnl
 input-program.sps:3: error: Input program must contain DATA LIST or END FILE.
 
 input-program.sps:4: error: EXECUTE: EXECUTE is allowed only after the active dataset has been defined.
@@ -65,7 +65,7 @@ END INPUT PROGRAM.
 DATASET COPY x.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv input-program.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv input-program.sps], [0], [dnl
 Table: Data List
 vec1,vec2,vec3,vec4,vec5
 1.00,2.00,3.00,4.00,5.00
diff --git a/tests/language/data-io/list.at b/tests/language/data-io/list.at
index 40e1247..98df0bc 100644
--- a/tests/language/data-io/list.at
+++ b/tests/language/data-io/list.at
@@ -19,7 +19,7 @@ DATA LIST FILE='data.txt'/avar 1-5 bvar 6-10.
 WEIGHT BY bvar.
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv list.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv list.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Reading 1 record from `data.txt'.
 Variable,Record,Columns,Format
@@ -61,7 +61,7 @@ DATA LIST FILE='data.txt'/avar 1-5 bvar 6-10.
 WEIGHT BY bvar.
 LIST/FORMAT NUMBERED.
 ])
-AT_CHECK([pspp -o pspp.csv list.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv list.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Reading 1 record from `data.txt'.
 Variable,Record,Columns,Format
@@ -100,7 +100,7 @@ DATA LIST LIST NOTABLE FILE='data.txt'/s (a1) n.
 SPLIT FILE BY s.
 LIST n.
 ])
-AT_CHECK([pspp -o pspp.csv list.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv list.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Value,Label
 s,a,
@@ -141,7 +141,7 @@ AT_DATA([list.sps], [dnl
 DATA LIST FILE='data.txt' NOTABLE/x01 to x30 1-30.
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv list.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv list.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 x01,x02,x03,x04,x05,x06,x07,x08,x09,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19,x20,x21,x22,x23,x24,x25,x26,x27,x28,x29,x30
@@ -190,7 +190,7 @@ LIST /CASES=BY 10.
 LIST /CASES=FROM 25.
 LIST /CASES=FROM 26.
 ])
-AT_CHECK([pspp -o pspp.csv list.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv list.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 x0,x1,x2,x3,x4,x5,x6,x7,x8,x9
@@ -237,7 +237,7 @@ DISPLAY VARIABLES.
 
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv list.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv list.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Description,Position
 foo,Format: A2000,1
diff --git a/tests/language/data-io/match-files.at b/tests/language/data-io/match-files.at
index d83eec8..3b538da 100644
--- a/tests/language/data-io/match-files.at
+++ b/tests/language/data-io/match-files.at
@@ -32,7 +32,7 @@ SAVE OUTFILE='data1.sav'.
 DATA LIST NOTABLE FILE='data2.txt' /a b c 1-3 (A).
 SAVE OUTFILE='data2.sav'.
 ])
-   AT_CHECK([pspp -O format=csv prepare.sps])
+   AT_CHECK([$RUNNER $PSPP -O format=csv prepare.sps])
    AT_CHECK([test -f data1.sav && test -f data2.sav])])
 
 dnl CHECK_MATCH_FILES(TYPE2, SOURCE1, SOURCE2)
@@ -97,7 +97,7 @@ MATCH FILES
 	/BY a /FIRST=first /LAST=last.
 LIST.
 ])
-   AT_CHECK([pspp -o pspp.csv match-files.sps])
+   AT_CHECK([$RUNNER $PSPP -o pspp.csv match-files.sps])
    AT_CHECK([cat pspp.csv], [0], [expout])
    AT_CLEANUP])
 
@@ -114,7 +114,7 @@ AT_DATA([match-files.sps], [dnl
 MATCH FILES FILE='data1.sav' /FILE='data2.sav' /RENAME (a b c=d e f).
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv match-files.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv match-files.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 a,b,c,d,e,f
@@ -155,7 +155,7 @@ END DATA.
 MATCH FILES TABLE=* /FILE='bar.sav' /BY=x.
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv match-files.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv match-files.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 x,z,y
@@ -184,7 +184,7 @@ MATCH FILES FILE=* /DROP=w.
 LIST.
 FINISH.
 ])
-AT_CHECK([pspp -o pspp.csv match-files.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv match-files.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Reading free-form data from INLINE.
 Variable,Format
@@ -222,7 +222,7 @@ END DATA.
 MATCH FILES/FILE='x.sav'/FILE=*/BY name.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv match-files.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv match-files.sps], [1], [dnl
 "match-files.sps:15: error: MATCH FILES: Variable name in file * has different type or width from the same variable in earlier file.  In file *, name is a string variable with width 7.  In an earlier file, name was a string variable with width 6."
 
 match-files.sps:16: error: Stopping syntax file processing here to avoid a cascade of dependent command failures.
diff --git a/tests/language/data-io/print-space.at b/tests/language/data-io/print-space.at
index e2bd2ee..8dd8e49 100644
--- a/tests/language/data-io/print-space.at
+++ b/tests/language/data-io/print-space.at
@@ -11,7 +11,7 @@ PRINT/x.
 PRINT SPACE.
 EXECUTE.
 ])
-AT_CHECK([pspp -O format=csv print-space.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv print-space.sps], [0], [dnl
 1 @&t@
 
 
@@ -33,7 +33,7 @@ PRINT/x.
 PRINT SPACE 2.
 EXECUTE.
 ])
-AT_CHECK([pspp -O format=csv print-space.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv print-space.sps], [0], [dnl
 1 @&t@
 
 
@@ -60,7 +60,7 @@ PRINT OUTFILE='output.txt'/x.
 PRINT SPACE OUTFILE='output.txt'.
 EXECUTE.
 ])
-AT_CHECK([pspp -O format=csv print-space.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv print-space.sps])
 AT_CHECK([cat output.txt], [0], [dnl
  1 @&t@
  @&t@
@@ -81,7 +81,7 @@ PRINT OUTFILE='output.txt'/x.
 PRINT SPACE OUTFILE='output.txt' 2.
 EXECUTE.
 ])
-AT_CHECK([pspp -O format=csv print-space.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv print-space.sps])
 AT_CHECK([cat output.txt], [0], [dnl
  1 @&t@
  @&t@
diff --git a/tests/language/data-io/print.at b/tests/language/data-io/print.at
index 04701f6..ca7d602 100644
--- a/tests/language/data-io/print.at
+++ b/tests/language/data-io/print.at
@@ -35,7 +35,7 @@ print.
 
 execute.
 ])
-AT_CHECK([pspp -O format=csv print.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv print.sps], [0], [dnl
 1 2 @&t@
 
 
@@ -108,7 +108,7 @@ print
 
 EXECUTE.
 ])
-AT_CHECK([pspp -O format=csv print.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv print.sps])
 AT_CHECK([cat print.txt], [0], [dnl
  AaaaaaaaaZ AbbbbMaryHadALittleLambbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbZ AccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccZ @&t@
  AnnnnnnnnZ AmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmZ AoooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooWhyIsItSoZ @&t@
@@ -133,7 +133,7 @@ print outfile='print.out'.
 
 execute.
 ])
-AT_CHECK([pspp -O format=csv print.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv print.sps])
 AT_CHECK([cat print.out], [0], [dnl
  1 2 @&t@
 112
@@ -171,7 +171,7 @@ END DATA.
 PRINT F8.2
 LIST.
 ])
-AT_CHECK([pspp -O format=csv print.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv print.sps], [1], [dnl
 print.sps:7.7-7.10: error: PRINT: Syntax error at `F8.2': expecting a valid subcommand.
 
 Table: Data List
@@ -199,7 +199,7 @@ write outfile='write.out'.
 
 execute.
 ])
-AT_CHECK([pspp -O format=csv write.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv write.sps])
 AT_CHECK([cat write.out], [0], [dnl
 12
 12
@@ -235,7 +235,7 @@ END DATA.
 PRINT OUTFILE='output.txt'/x.
 EXECUTE.
 ])
-AT_CHECK([pspp -O format=csv print.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv print.sps])
 AT_CHECK([cat output.txt], [0], [ 5 @&t@
 ])
 AT_CLEANUP
@@ -251,7 +251,7 @@ END DATA.
 PRINT OUTFILE='output.txt'/x.
 HOST COMMAND=['kill -TERM $PPID'].
 ]])
-AT_CHECK([pspp -O format=csv print.sps], [143], [], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv print.sps], [143], [], [ignore])
 AT_CHECK([cat output.txt], [0], [abcdef
 ])
 AT_CHECK(
@@ -267,7 +267,7 @@ COMPUTE y = x + 1.
 PRINT OUTFILE='data.txt'/y.
 EXECUTE.
 ])
-AT_CHECK([pspp -O format=csv print.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv print.sps])
 AT_CHECK([cat data.txt], [0], [     6.00 @&t@
 ])
 AT_CHECK(
@@ -291,7 +291,7 @@ PRINT OUTFILE='foo.out'/x.
 PRINT OUTFILE='foo2.out'/x.
 EXECUTE.
 ])
-AT_CHECK([pspp -O format=csv print.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv print.sps])
 AT_CHECK([cat foo2.out], [0], [dnl
  1 @&t@
  2 @&t@
@@ -319,7 +319,7 @@ PRINT OUTFILE=lf/x.
 PRINT OUTFILE=crlf/x.
 EXECUTE.
 ])
-AT_CHECK([pspp -O format=csv print.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv print.sps])
 AT_CHECK([cat lf.txt], [0], [dnl
  1 @&t@
  2 @&t@
diff --git a/tests/language/data-io/save-translate.at b/tests/language/data-io/save-translate.at
index 408a06b..70d4f9c 100644
--- a/tests/language/data-io/save-translate.at
+++ b/tests/language/data-io/save-translate.at
@@ -17,7 +17,7 @@ FILTER BY filter.
 SAVE TRANSLATE /OUTFILE="data.csv" /TYPE=m4_if([$2], [], [CSV], [$2])
     $1.
 ])
-AT_CHECK([pspp -O format=csv save-translate.pspp], [0])
+AT_CHECK([$RUNNER $PSPP -O format=csv save-translate.pspp], [0])
 ])
 
 AT_SETUP([CSV output -- defaults])
diff --git a/tests/language/data-io/save.at b/tests/language/data-io/save.at
index 8e3a486..78424e6 100644
--- a/tests/language/data-io/save.at
+++ b/tests/language/data-io/save.at
@@ -14,7 +14,7 @@ IMPORT /FILE='wiz.por'.
 
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv import-export.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv import-export.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 X,Y
@@ -47,8 +47,8 @@ AT_DATA([get.pspp], [dnl
 GET FILE='data.sav'.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv save.pspp])
-AT_CHECK([pspp -O format=csv get.pspp], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv save.pspp])
+AT_CHECK([$RUNNER $PSPP -O format=csv get.pspp], [0], [dnl
 Table: Data List
 number,time,date,datetime,string,filter
 .   ,-0 05:17,10/31/2010,09-APR-2008 09:29:00,xxx    ,1
diff --git a/tests/language/data-io/update.at b/tests/language/data-io/update.at
index 41ccf21..4730e8f 100644
--- a/tests/language/data-io/update.at
+++ b/tests/language/data-io/update.at
@@ -28,13 +28,13 @@ m4_define([CHECK_UPDATE],
 DATA LIST NOTABLE FILE='a.data' /a b c 1-3 (A).
 SAVE OUTFILE='a.sav'.
 ])
-      AT_CHECK([pspp -O format=csv save-a.sps])])
+      AT_CHECK([$RUNNER $PSPP -O format=csv save-a.sps])])
    m4_if([$2], [sav],
      [AT_DATA([save-b.sps], [dnl
 DATA LIST NOTABLE FILE='b.data' /a b c 1-3 (A).
 SAVE OUTFILE='b.sav'.
 ])
-      AT_CHECK([pspp -O format=csv save-b.sps])])
+      AT_CHECK([$RUNNER $PSPP -O format=csv save-b.sps])])
    AT_DATA([update.sps], [dnl
 m4_if([$1], [sav], [], [DATA LIST NOTABLE FILE='a.data' /a b c 1-3 (A).])
 m4_if([$2], [sav], [], [DATA LIST NOTABLE FILE='b.data' /a b c 1-3 (A).])
@@ -45,7 +45,7 @@ UPDATE
 LIST.
 ])
    cat update.sps
-   AT_CHECK([pspp -O format=csv update.sps], [0], [dnl
+   AT_CHECK([$RUNNER $PSPP -O format=csv update.sps], [0], [dnl
 update.sps:6: warning: UPDATE: Encountered 3 sets of duplicate cases in the master file.
 
 Table: Data List
diff --git a/tests/language/dictionary/attributes.at b/tests/language/dictionary/attributes.at
index 492709a..aebf15e 100644
--- a/tests/language/dictionary/attributes.at
+++ b/tests/language/dictionary/attributes.at
@@ -34,7 +34,7 @@ VARIABLE ATTRIBUTE
 
 DISPLAY ATTRIBUTES.
 ]])
-AT_CHECK([pspp -O format=csv save-attrs.pspp], [0], 
+AT_CHECK([$RUNNER $PSPP -O format=csv save-attrs.pspp], [0], 
   [[Variable,Description
 a,"Attribute,Value
 ValidationRule[1],a * b > 3
@@ -51,7 +51,7 @@ array[1],array element 1
 array[2],array element 2
 key,value
 ]])
-AT_CHECK([pspp -O format=csv get-attrs.pspp], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv get-attrs.pspp], [0], [dnl
 Variable,Description
 a,
 b,"Attribute,Value
diff --git a/tests/language/dictionary/delete-variables.at b/tests/language/dictionary/delete-variables.at
index 48bc40a..d1586a2 100644
--- a/tests/language/dictionary/delete-variables.at
+++ b/tests/language/dictionary/delete-variables.at
@@ -14,7 +14,7 @@ FILTER BY b.
 DELETE VARIABLES a.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv delete-variables.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv delete-variables.sps], [0], [dnl
 Table: Reading free-form data from INLINE.
 Variable,Format
 a,F8.0
diff --git a/tests/language/dictionary/formats.at b/tests/language/dictionary/formats.at
index b1364f7..153a9e9 100644
--- a/tests/language/dictionary/formats.at
+++ b/tests/language/dictionary/formats.at
@@ -9,7 +9,7 @@ DISPLAY VARIABLES.
 FORMATS c (E8.1) x (A1) /y (AHEX4) z (A3).
 DISPLAY VARIABLES.
 ])
-AT_CHECK([pspp -o pspp.csv formats.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv formats.sps])
 AT_CHECK([grep -E -v 'Measure|Display' pspp.csv], [0], [dnl
 Table: Reading free-form data from INLINE.
 Variable,Format
@@ -55,7 +55,7 @@ FORMATS x (A2).
 FORMATS y (AHEX2).
 FORMATS x y (A2).
 ])
-AT_CHECK([pspp -O format=csv formats.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv formats.sps], [1], [dnl
 Table: Reading free-form data from INLINE.
 Variable,Format
 a,F8.0
diff --git a/tests/language/dictionary/missing-values.at b/tests/language/dictionary/missing-values.at
index d4a9016..1b0ae41 100644
--- a/tests/language/dictionary/missing-values.at
+++ b/tests/language/dictionary/missing-values.at
@@ -61,7 +61,7 @@ DISPLAY DICTIONARY str1 str2 longstr.
 MISSING VALUES ALL ().
 DISPLAY DICTIONARY
 ])
-AT_CHECK([pspp -o pspp.csv missing-values.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv missing-values.sps])
 AT_CHECK([sed -n '/^$/p; /^@<:@^"@:>@*"@<:@^"@:>@*$/N; s/^\(@<:@a-z0-9@:>@*\),".*Missing Values: \(.*\)",@<:@0-9@:>@*$/\1: \2/p; s/^\(@<:@a-z0-9@:>@*\),Format: @<:@A-Z0-9.@:>@*,@<:@0-9@:>@*$/\1: none/p' pspp.csv
 ], [0], [dnl
 date1: 1
@@ -152,7 +152,7 @@ MISSING VALUES str1 ('abc', 'def', 'ghi', 'jkl').
 * Bad range.
 MISSING VALUES num1 (2 THRU 1).
 ])
-AT_CHECK([pspp -O format=csv missing-values.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv missing-values.sps], [1], [dnl
 missing-values.sps:5: error: MISSING VALUES: Missing values provided are too long to assign to variable of width 3.
 
 missing-values.sps:8: error: MISSING VALUES: Truncating missing value to maximum acceptable length (8 bytes).
diff --git a/tests/language/dictionary/mrsets.at b/tests/language/dictionary/mrsets.at
index b69b91e..13c1b95 100644
--- a/tests/language/dictionary/mrsets.at
+++ b/tests/language/dictionary/mrsets.at
@@ -129,7 +129,7 @@ AT_DATA([mrsets.sps],
     /DELETE NAME=ALL
     /DISPLAY NAME=ALL.
 ]])
-AT_CHECK([pspp -O format=csv mrsets.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv mrsets.sps], [0],
   [DEFINE_MRSETS_OUTPUT
 Table: Multiple Response Sets
 Name,Variables,Details
@@ -194,12 +194,12 @@ AT_DATA([mrsets.sps],
   [DEFINE_MRSETS
 SAVE OUTFILE='mrsets.sav'.
 ])
-AT_CHECK([pspp -O format=csv mrsets.sps], [0], [DEFINE_MRSETS_OUTPUT])
+AT_CHECK([$RUNNER $PSPP -O format=csv mrsets.sps], [0], [DEFINE_MRSETS_OUTPUT])
 AT_DATA([mrsets2.sps],
   [GET FILE='mrsets.sav'.
 MRSETS /DISPLAY NAME=ALL.
 ])
-AT_CHECK([pspp -O format=csv mrsets2.sps], [0], [MRSETS_DISPLAY_OUTPUT],
+AT_CHECK([$RUNNER $PSPP -O format=csv mrsets2.sps], [0], [MRSETS_DISPLAY_OUTPUT],
   [], [hd mrsets.sav])
 AT_CLEANUP
 
@@ -208,7 +208,7 @@ AT_DATA([mrsets.sps],
   [DEFINE_MRSETS_DATA
 MRSETS /MCGROUP NAME=x.
 ])
-AT_CHECK([pspp -O format=csv mrsets.sps], [1],
+AT_CHECK([$RUNNER $PSPP -O format=csv mrsets.sps], [1],
   [mrsets.sps:6: error: MRSETS: x is not a valid name for a multiple response set.  Multiple response set names must begin with `$'.
 ])
 AT_CLEANUP
@@ -218,7 +218,7 @@ AT_DATA([mrsets.sps],
   [DEFINE_MRSETS_DATA
 MRSETS /MCGROUP NAME=$x VARIABLES=a.
 ])
-AT_CHECK([pspp -O format=csv mrsets.sps], [1],
+AT_CHECK([$RUNNER $PSPP -O format=csv mrsets.sps], [1],
   ["mrsets.sps:6: error: MRSETS: VARIABLES specified only variable a on MCGROUP, but at least two variables are required."
 ])
 AT_CLEANUP
@@ -228,7 +228,7 @@ AT_DATA([mrsets.sps],
   [DEFINE_MRSETS_DATA
 MRSETS /MDGROUP VALUE=1.5.
 ])
-AT_CHECK([pspp -O format=csv mrsets.sps], [1],
+AT_CHECK([$RUNNER $PSPP -O format=csv mrsets.sps], [1],
   [mrsets.sps:6: error: MRSETS: Numeric VALUE must be an integer.
 ])
 AT_CLEANUP
@@ -238,7 +238,7 @@ AT_DATA([mrsets.sps],
   [DEFINE_MRSETS_DATA
 MRSETS /MCGROUP VARIABLES=a b c.
 ])
-AT_CHECK([pspp -O format=csv mrsets.sps], [1],
+AT_CHECK([$RUNNER $PSPP -O format=csv mrsets.sps], [1],
   [mrsets.sps:6.32: error: MRSETS: Syntax error at end of command: Required MCGROUP specification missing from NAME subcommand.
 ])
 AT_CLEANUP
@@ -248,7 +248,7 @@ AT_DATA([mrsets.sps],
   [DEFINE_MRSETS_DATA
 MRSETS /MCGROUP NAME=$Mcgroup.
 ])
-AT_CHECK([pspp -O format=csv mrsets.sps], [1],
+AT_CHECK([$RUNNER $PSPP -O format=csv mrsets.sps], [1],
   [mrsets.sps:6.30: error: MRSETS: Syntax error at end of command: Required MCGROUP specification missing from VARIABLES subcommand.
 ])
 AT_CLEANUP
@@ -258,7 +258,7 @@ AT_DATA([mrsets.sps],
   [DEFINE_MRSETS_DATA
 MRSETS /MCGROUP NAME=$mygroup VARIABLES=a b x y.
 ])
-AT_CHECK([pspp -O format=csv mrsets.sps], [1],
+AT_CHECK([$RUNNER $PSPP -O format=csv mrsets.sps], [1],
   [mrsets.sps:6: error: MRSETS: a and x are not the same type.  All variables in this variable list must be of the same type.  x will be omitted from the list.
 
 mrsets.sps:6: error: MRSETS: a and y are not the same type.  All variables in this variable list must be of the same type.  y will be omitted from the list.
@@ -271,7 +271,7 @@ AT_DATA([mrsets.sps],
 MRSETS /MDGROUP NAME=$group1 VARIABLES=a b VALUE=1.
 MRSETS /MDGROUP NAME=$group2 VARIABLES=x y VALUE='abc'.
 ])
-AT_CHECK([pspp -O format=csv mrsets.sps], [1],
+AT_CHECK([$RUNNER $PSPP -O format=csv mrsets.sps], [1],
   ["mrsets.sps:6: error: MRSETS: MDGROUP subcommand for group $group1 specifies a string VALUE, but the variables specified for this group are numeric."
 
 "mrsets.sps:7: error: MRSETS: MDGROUP subcommand for group $group2 specifies a string VALUE, but the variables specified for this group are numeric."
@@ -283,7 +283,7 @@ AT_DATA([mrsets.sps],
   [DEFINE_MRSETS_DATA
 MRSETS /MDGROUP NAME=$group1 VARIABLES=a b VALUE='abc'.
 ])
-AT_CHECK([pspp -O format=csv mrsets.sps], [1],
+AT_CHECK([$RUNNER $PSPP -O format=csv mrsets.sps], [1],
   ["mrsets.sps:6: error: MRSETS: VALUE string on MDGROUP subcommand for group $group1 is 3 bytes long, but it must be no longer than the narrowest variable in the group, which is a with a width of 1 bytes."
 ])
 AT_CLEANUP
@@ -294,7 +294,7 @@ AT_DATA([mrsets.sps],
 MRSETS /MDGROUP NAME=$group1 VARIABLES=a b VALUE='a'
                 LABEL='label' LABELSOURCE=VARLABEL.
 ])
-AT_CHECK([pspp -O format=csv mrsets.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv mrsets.sps], [0],
   [mrsets.sps:7: warning: MRSETS: MDGROUP subcommand for group $group1 specifies LABELSOURCE=VARLABEL but not CATEGORYLABELS=COUNTEDVALUES.  Ignoring LABELSOURCE.
 ])
 AT_CLEANUP
@@ -305,7 +305,7 @@ AT_DATA([mrsets.sps],
 [MRSETS /DISPLAY NAME=[$x].
 MRSETS /DELETE NAME=[$y].
 ]])
-AT_CHECK([pspp -O format=csv mrsets.sps], [1],
+AT_CHECK([$RUNNER $PSPP -O format=csv mrsets.sps], [1],
   [mrsets.sps:6: error: MRSETS: No multiple response set named $x.
 
 mrsets.sps:7: error: MRSETS: No multiple response set named $y.
diff --git a/tests/language/dictionary/rename-variables.at b/tests/language/dictionary/rename-variables.at
index f528dcb..1b0efa6 100644
--- a/tests/language/dictionary/rename-variables.at
+++ b/tests/language/dictionary/rename-variables.at
@@ -19,7 +19,7 @@ LIST.
 
 SAVE /OUTFILE='rename.sav'.
 ])
-AT_CHECK([pspp -o pspp.csv rename-variables.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv rename-variables.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Reading free-form data from INLINE.
 Variable,Format
@@ -50,7 +50,7 @@ AT_DATA([rename-variables.sps], [dnl
 DATA LIST LIST /brakeFluid y auxiliary warp (F2.0).
 RENAME VARIABLES warp auxiliary=foobar xyzzy.
 ])
-AT_CHECK([pspp -o pspp.csv rename-variables.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -o pspp.csv rename-variables.sps], [1], [dnl
 rename-variables.sps:2.23-2.31: error: RENAME VARIABLES: Syntax error at `auxiliary': expecting `='.
 ])
 AT_CLEANUP
@@ -60,7 +60,7 @@ AT_DATA([rename-variables.sps], [dnl
 DATA LIST LIST /brakeFluid y auxiliary warp (F2.0).
 RENAME VARIABLES (brakeFluid=applecarts y=bananamobiles).
 ])
-AT_CHECK([pspp -o pspp.csv rename-variables.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -o pspp.csv rename-variables.sps], [1], [dnl
 rename-variables.sps:2: error: RENAME VARIABLES: Differing number of variables in old name list (1) and in new name list (2).
 ])
 AT_CLEANUP
diff --git a/tests/language/dictionary/split-file.at b/tests/language/dictionary/split-file.at
index 83055bb..57d82fc 100644
--- a/tests/language/dictionary/split-file.at
+++ b/tests/language/dictionary/split-file.at
@@ -23,7 +23,7 @@ end data.
 split file by x.
 list.
 ])
-AT_CHECK([pspp -o pspp.csv split-file.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv split-file.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Title: Test SPLIT FILE utility
 
@@ -117,6 +117,6 @@ execute.
 finish.
 ])
 
-AT_CHECK([pspp -O format=csv split-file.sps], [0],[ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv split-file.sps], [0],[ignore])
 
 AT_CLEANUP
\ No newline at end of file
diff --git a/tests/language/dictionary/sys-file-info.at b/tests/language/dictionary/sys-file-info.at
index e822506..4b22ec4 100644
--- a/tests/language/dictionary/sys-file-info.at
+++ b/tests/language/dictionary/sys-file-info.at
@@ -12,7 +12,7 @@ SAVE OUTFILE='pro.sav'.
 
 sysfile info file='pro.sav'.
 ])
-AT_CHECK([pspp -o pspp.csv sysfile-info.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv sysfile-info.sps])
 AT_CHECK(
   [sed -e '/^Created:,/d' \
        -e '/^Endian:,/d' \
@@ -60,7 +60,7 @@ DISPLAY FILE LABEL.
 FILE LABEL 'foo bar baz quux'.
 DISPLAY FILE LABEL.
 ])
-AT_CHECK([pspp -O format=csv display.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv display.sps], [0], [dnl
 The active dataset does not have a file label.
 
 File label: foo bar baz quux
@@ -78,7 +78,7 @@ DISPLAY SCRATCH.
 COMPUTE #x=0.
 DISPLAY SCRATCH.
 ])
-AT_CHECK([pspp -O format=csv sysfile-info.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv sysfile-info.sps], [0], [dnl
 sysfile-info.sps:2: warning: DISPLAY: No variables to display.
 
 Variable
@@ -91,7 +91,7 @@ AT_DATA([sysfile-info.sps], [dnl
 DATA LIST LIST NOTABLE /x * name (a10) .
 DISPLAY INDEX.
 ])
-AT_CHECK([pspp -O format=csv sysfile-info.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv sysfile-info.sps], [0], [dnl
 Variable,Position
 x,1
 name,2
@@ -103,7 +103,7 @@ AT_DATA([sysfile-info.sps], [dnl
 DATA LIST LIST NOTABLE /x * name (a10) .
 DISPLAY NAMES.
 ])
-AT_CHECK([pspp -O format=csv sysfile-info.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv sysfile-info.sps], [0], [dnl
 Variable
 x
 name
@@ -117,7 +117,7 @@ VARIABLE LABEL x 'variable one' name 'variable two'.
 VALUE LABEL x 1 'asdf' 2 'jkl;'.
 DISPLAY LABELS.
 ])
-AT_CHECK([pspp -O format=csv sysfile-info.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv sysfile-info.sps], [0], [dnl
 Variable,Label,Position
 x,variable one,1
 name,variable two,2
diff --git a/tests/language/dictionary/value-labels.at b/tests/language/dictionary/value-labels.at
index b3a2f8f..d1a1804 100644
--- a/tests/language/dictionary/value-labels.at
+++ b/tests/language/dictionary/value-labels.at
@@ -9,7 +9,7 @@ VALUE LABELS ad 'july 10, 1982' 'label 1'
             /dt '12 Apr 2011 06:09:56' 'label 4'.
 DISPLAY DICTIONARY.
 ])
-AT_CHECK([pspp -O format=csv value-labels.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv value-labels.sps], [0], [dnl
 Variable,Description,Position
 ad,"Format: ADATE10
 
@@ -36,7 +36,7 @@ END DATA.
 DISPLAY DICTIONARY.
 FREQUENCIES x/STAT=NONE.
 ])
-AT_CHECK([pspp -O format=csv value-labels.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv value-labels.sps], [0], [dnl
 Variable,Description,Position
 x,"Format: F8.2
 
@@ -66,13 +66,13 @@ BEGIN DATA.
 END DATA.
 SAVE OUTFILE='value-labels.sav'.
 ])
-AT_CHECK([pspp -O format=csv save.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv save.sps])
 AT_DATA([get.sps], [dnl
 GET FILE='value-labels.sav'.
 DISPLAY DICTIONARY.
 FREQUENCIES x/STAT=NONE.
 ])
-AT_CHECK([pspp -O format=csv get.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv get.sps], [0], [dnl
 Variable,Description,Position
 x,"Format: F8.2
 
@@ -105,7 +105,7 @@ END DATA.
 
 VALUE LABELS /var=a 'label for a'.
 ])
-AT_CHECK([pspp -O format=csv value-labels.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv value-labels.sps], [1], [dnl
 value-labels.sps:9: error: VALUE LABELS: var is not a variable name.
 ])
 AT_CLEANUP
@@ -127,7 +127,7 @@ VALUE LABELS X 1 'one' 2 'two' 3 'three'/
 
 LIST VARIABLES=X.
 ])
-AT_CHECK([pspp -O format=csv value-labels.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv value-labels.sps], [0], [dnl
 Table: Data List
 X
 1.00
diff --git a/tests/language/dictionary/variable-display.at b/tests/language/dictionary/variable-display.at
index 3bcbd8f..effdeac 100644
--- a/tests/language/dictionary/variable-display.at
+++ b/tests/language/dictionary/variable-display.at
@@ -9,7 +9,7 @@ VARIABLE LEVEL x (SCALE)/y (ORDINAL)/z (NOMINAL).
 VARIABLE ROLE /TARGET x /BOTH y /NONE z.
 DISPLAY DICTIONARY.
 ])
-AT_CHECK([pspp -o pspp.csv var-display.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv var-display.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Description,Position
 x,"Format: F8.2
@@ -70,7 +70,7 @@ SET TVARS=BOTH.
 DESCRIPTIVES ALL.
 ])
 
-AT_CHECK([pspp -O format=csv var-labels.sps], [0],[dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv var-labels.sps], [0],[dnl
 Table: Valid cases = 4; cases with missing value(s) = 0.
 Variable,N,Mean,Std Dev,Minimum,Maximum
 x,4,2.50,1.29,1.00,4.00
